package com.water.watersys.controller;


import cn.dev33.satoken.stp.StpUtil;
import com.water.watersys.components.Result;
import com.water.watersys.model.domain.UserSys;
import com.water.watersys.service.InvitationService;
import com.water.watersys.service.UserSysService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;

@RestController
@CrossOrigin
@Tag(name = "邀请用户填写信息", description = "邀请用户填写信息")
public class GenerateController {

    @Resource
    private InvitationService invitationService;

    @Resource
    private UserSysService userSysService;

    @Operation(summary = "获取连接", description = "获取连接")
    @GetMapping("/generate")
    public Result<String> generateInvitationLink(@RequestParam Integer time) {
        String loginId = (String) StpUtil.getLoginId();
        String code = invitationService.generateInvitationCode(time,loginId);
        return Result.success( "邀请链接: http://yourdomain.com/register?code=" + code);
    }

    @Operation(summary = "判断链接是否生效", description = "判断链接是否生效")
    @GetMapping("/validate")
    public Result<Object> validateInvitation(@RequestParam String code) {
        Long userId = invitationService.validateInvitationCode(code);
        if (userId != null) {
            return Result.success(userId);
        } else {
            return Result.error("邀请码无效或已过期");
        }
    }

    @Operation(summary = "添加用户", description = "添加用户")
    @PostMapping("/postEmp")
    public Result<String> postEmpUser(@RequestBody UserSys userSys, @RequestParam String code) {
        Integer userId = Math.toIntExact(invitationService.validateInvitationCode(code));
        userSys.setId(userId);
        int id =  userSysService.postEmpUser(userSys);
        if (id != 0) {
            return Result.success();
        }else {
            return Result.createFail();
        }
    }

}
