package com.water.watersys.controller;

import cn.dev33.satoken.stp.StpUtil;
import com.water.watersys.components.Result;
import com.water.watersys.mapper.RouteSysMapper;
import com.water.watersys.model.domain.RoleSys;
import com.water.watersys.model.domain.RouteSys;
import com.water.watersys.model.vo.RouteOv;
import com.water.watersys.service.RoleSysService;
import com.water.watersys.service.RouteSysService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

@RestController
@CrossOrigin
@Tag(name = "路由信息", description = "路由信息")
public class RouteController {
    @Resource
    private RouteSysService routeSysService;

    @Resource
    private RoleSysService roleSysService;

    @Operation(summary = "获取路由信息", description = "获取路由信息")
    @GetMapping("/getRoute")
    public Result<List<RouteOv>> getRoute() {
        String loginId = (String) StpUtil.getLoginId();
        List<RoleSys> role =  roleSysService.getRole(loginId);
        ArrayList<RouteOv> roleList = new ArrayList<>();
        role.forEach(roleSys->{
            List<RouteOv> route =  routeSysService.getRoute(roleSys.getId());
            System.out.println(route);
            route.forEach(routeOv->{
                List<RouteOv> routeChild =  routeSysService.getRouteChildren(routeOv.getId());
                routeOv.setChildren(routeChild);
            });
            roleList.addAll(route);
        });
        return Result.success(roleList);
    }
}
