package com.water.watersys.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.water.watersys.model.domain.RouteSys;
import com.water.watersys.model.vo.RouteOv;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
* @author mac
* @description 针对表【route_sys(路由表)】的数据库操作Mapper
* @createDate 2025-04-13 14:43:46
* @Entity generator.domain.RouteSys
*/
@Mapper
public interface RouteSysMapper extends BaseMapper<RouteSys> {

    @Select("select b.id,b.parentId,b.component,b.create_time,b.meta,b.name,b.path,b.redirect,b.update_time " +
            "from role_route_sys a left join route_sys b on a.route_id = b.id where a.role_id = #{loginId} and parentId is null")
    List<RouteOv> getRoute(Integer loginId);

    @Select("select * from route_sys where parentId = #{id}")
    List<RouteOv> getRouteChildren(Integer id);
}




