package com.water.watersys.mapper;

import com.water.watersys.model.domain.UserSys;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.water.watersys.model.dto.ChangeUserInfo;
import com.water.watersys.model.dto.SearchUserDto;
import com.water.watersys.model.vo.UserOv;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
* @author mac
* @description 针对表【user_sys】的数据库操作Mapper
* @createDate 2025-04-05 23:50:03
* @Entity generator.domain.UserSys
*/
@Mapper
public interface UserSysMapper extends BaseMapper<UserSys> {
    @Select("select * from user_sys where id = #{loginId}")
    UserOv getUser(String loginId);

    @Update("UPDATE user_sys SET password = #{newPassword} WHERE id = #{id}")
    Integer changePassword(Integer id, String newPassword);

    @Update("UPDATE user_sys SET address = #{address},phone = #{phone},username = #{username} WHERE id = #{loginId}")
    Integer changeUserInfo(ChangeUserInfo changeUserInfo, String loginId);

    List<UserOv> getUserList(String loginId, SearchUserDto searchUserDto);

    @Update("update user_sys set status = #{status} where id = #{id}")
    Integer putEmpStatus(Integer id, Integer status);
}




