package com.water.watersys.service;

import com.water.watersys.model.domain.UserSys;
import com.baomidou.mybatisplus.extension.service.IService;
import com.water.watersys.model.dto.ChangePassword;
import com.water.watersys.model.dto.ChangeUserInfo;
import com.water.watersys.model.dto.LoginDto;
import com.water.watersys.model.dto.SearchUserDto;
import com.water.watersys.model.vo.UserOv;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author mac
* @description 针对表【user_sys】的数据库操作Service
* @createDate 2025-04-05 23:50:03
*/
@Service
public interface UserSysService extends IService<UserSys> {

    int register(UserSys userSys);

    Integer login(LoginDto loginDto);

    UserOv getUser(String loginId);

    Integer changePassword(ChangePassword changePassword, String loginId);

    Integer changeUserStatus(Integer status, String loginId);

    Integer changeUserInfo(ChangeUserInfo changeUserInfo, String loginId);

    List<UserOv> getUserList(String loginId, SearchUserDto searchUserDto);

    int postEmpUser(UserSys userSys);

    int deleteEmpUser(Integer id);

    Integer putEmpStatus(Integer id ,Integer status);
}
