package com.water.watersys.utils;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.info.Contact;
import io.swagger.v3.oas.models.info.License;
import io.swagger.v3.oas.models.servers.Server;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class OpenApiConfig {

    @Bean
    public OpenAPI customOpenAPI() {
        return new OpenAPI()
                .addServersItem(new Server().url("http://localhost:8080").description("Local Development Server"))
                .info(new Info()
                        .title("API文档")
                        .version("1.0")
                        .description("Spring Boot 3.4.4 应用API文档")
                        .contact(new Contact()
                                .name("开发者")
                                .email("319906174@qq.com"))
                        .license(new License()
                                .name("Apache 2.0")
                                .url("http://localhost:8080")));
    }
}